org.h2gis.functions.spatial.topology

## Class ST_Polygonize

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.topology.ST_Polygonize

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Polygonize
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Polygonize()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `polygonize(com.vividsolutions.jts.geom.Geometry geometry)` Creates a GeometryCollection containing possible polygons formed from the constituent linework of a set of geometries.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Polygonize

    public ST_Polygonize()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### polygonize

    public static com.vividsolutions.jts.geom.Geometry polygonize(com.vividsolutions.jts.geom.Geometry geometry)

Creates a GeometryCollection containing possible polygons formed from the constituent linework of a set of geometries.

Parameters:
  `geometry` -
Returns: